宜读网论坛

 找回密码
 加入论坛

QQ登录

只需一步,快速开始

搜索
热搜: 活动 交友 discuz
查看: 18057|回复: 46

[nook 新手入门] NOOK4(new NOOK Glowlight)超级简单root教程

[复制链接]
发表于 2014-2-8 21:54:40 | 显示全部楼层 |阅读模式
本帖最后由 yuanmc 于 2015-10-28 22:50 编辑



教程下载地址:


NOOK4 root软件包下载:http://pan.baidu.com/s/1hqppFCC                             密码:uveo

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?加入论坛

x
回复

使用道具 举报

发表于 2014-2-8 22:28:32 | 显示全部楼层
真是感谢y大了,给我们提供了这么好的方法!
回复 支持 反对

使用道具 举报

发表于 2014-2-8 23:37:45 | 显示全部楼层
mark一下 谢了
回复 支持 反对

使用道具 举报

发表于 2014-2-8 23:38:34 | 显示全部楼层
先收藏了 买了之后试一下
回复 支持 反对

使用道具 举报

发表于 2014-2-8 23:39:29 | 显示全部楼层
确实比以前的方法简单多了,太牛了!
回复 支持 反对

使用道具 举报

发表于 2014-2-8 23:40:39 | 显示全部楼层
真是感谢y大了
回复 支持 反对

使用道具 举报

发表于 2014-2-9 19:42:42 | 显示全部楼层
望有更新的进度,现在用NOOK2觉得残影太多,而且分辨率太低了,字小点都发虚得厉害,可惜了NOOK4没有翻页键啊,哎。
回复 支持 反对

使用道具 举报

发表于 2014-2-10 23:13:54 | 显示全部楼层
赞,支持一个。
个人期盼: 1。解决/media 与 sdcard的关联    2。个人很喜欢方正启体,不知道该如何更换;另,不知道文中更换字体的办法是否能保持系统稳定性~
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-2-11 19:25:32 | 显示全部楼层
babyforever 发表于 2014-2-10 23:13
赞,支持一个。
个人期盼: 1。解决/media 与 sdcard的关联    2。个人很喜欢方正启体,不知道该如何更换 ...

我尽力吧。
换字体请参考如下设置:

将你要替换的字体正文字体更名为Malabar.ttf,标题字体更名为Malabar-Bold.ttf,放在相应目录,运行该批处理文件即可(adb的三个程序要放在同一目录下)。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?加入论坛

x
回复 支持 反对

使用道具 举报

发表于 2014-2-11 22:49:34 | 显示全部楼层
本帖最后由 babyforever 于 2014-2-11 23:12 编辑
yuanmc 发表于 2014-2-11 19:25
我尽力吧。
换字体请参考如下设置:

yuan神,请教:
1.想将原生词典更换为深蓝(网上搜了一下,大家好像用这个的多),请问该怎么替换啊? 搜索出来的都是单独安装而不是替换系统自带。
单独安装的话,阅读时能调用么?2.关于设置取消“自动mount”,那需要往nook中添加书籍时该如何搞定呢?
之前我这豌豆荚中的“管理sdcard”有时能直接进入nook盘有时进不了... 郁闷
3.看了下网友做的关于建立sdcard的符号链接的脚本,没怎么看懂:
#!/bin/bash

# Modified version of 'patch_uramdisk' script from NookManager
# Needs mkimage from u-boot-tools

die() {
  rm -rf /tmp/ramdisk
  rm -f /tmp/ramdisk.cpio /tmp/ramdisk.cpio.gz

  echo -e $@
  echo -e "\nUsage: ${0} /path/to/mount/point/of/boot/partition"
  exit 1
}

MNTPATH=$(readlink -e "${1}") || die "Could not find mount point"

[ -f "${MNTPATH}/uRamdisk" ] || die "Cannot find uRamdisk at \"${MNTPATH}\"."

mkdir -p /tmp/ramdisk
dd if="${MNTPATH}/uRamdisk" of=/tmp/ramdisk/ramdisk.gz bs=64 skip=1

cd /tmp/ramdisk
zcat ramdisk.gz | cpio -id || die "Error unpacking uRamdisk"
rm ramdisk.gz

sed -i -e 's/mkdir \/sdcard.*/symlink \/data\/media \/sdcard/' /tmp/ramdisk/init.rc

grep -q 'symlink /data/media /sdcard' /tmp/ramdisk/init.rc || die "Failed patching uRamdisk"

find . | cpio -o -H newc > /tmp/ramdisk.cpio
gzip -9 -c /tmp/ramdisk.cpio > /tmp/ramdisk.cpio.gz

mkimage -A arm -O linux -T ramdisk -C gzip -a 0 -e 0 -d /tmp/ramdisk.cpio.gz /tmp/uRamdisk > /dev/null
[ "$?" -eq "0" ] || die "Could not build uRamdisk"

mv /tmp/uRamdisk "${MNTPATH}"

rm -rf /tmp/ramdisk
rm -f /tmp/ramdisk.cpio /tmp/ramdisk.cpio.gz

echo "uRamdisk patched"

期待你的成果:)

回复 支持 反对

使用道具 举报

发表于 2014-2-13 19:32:48 | 显示全部楼层
本帖最后由 文弱书生899 于 2014-2-13 19:39 编辑

老大局刷还是只限于极小内容显示时才行啊,感觉显示内容超过一页50%就会全刷,pgflip-refresh打开后就只有一个数字0,你的是都能局刷吗?发在这希望大家都能看到,省得很多人问了
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-2-13 20:32:27 | 显示全部楼层
文弱书生899 发表于 2014-2-13 19:32
老大局刷还是只限于极小内容显示时才行啊,感觉显示内容超过一页50%就会全刷,pgflip-refresh打开后就只有 ...

当时试了可以连续局刷,但是字数多少没留意,现在机器又被我还原了,等我root了再试一下。全刷触发有个比例,在某个文件中可以设置,我找一下。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-2-13 20:33:37 | 显示全部楼层
babyforever 发表于 2014-2-11 22:49
yuan神,请教:
1.想将原生词典更换为深蓝(网上搜了一下,大家好像用这个的多),请问该怎么替换啊?  ...

原生词典是换不了的。深蓝词典可以自行安装。
回复 支持 反对

使用道具 举报

发表于 2014-2-13 21:15:24 | 显示全部楼层
赞一个,写得很详细,很实用
回复 支持 反对

使用道具 举报

发表于 2014-2-13 21:15:58 | 显示全部楼层
学习了。收获大大的有。
回复 支持 反对

使用道具 举报

发表于 2014-2-15 14:44:46 | 显示全部楼层
局刷解决了,只要把fb0文件夹拷贝出来,然后用notepad++把pgflip-refresh改为1(原文件打开是0),然后把fb0文件覆盖原来的就行了,就可以全部局刷了。因为fb0文件夹无法在nook上打开,只有把整个文件夹复制出来修改pgflip-refresh文件
回复 支持 反对

使用道具 举报

发表于 2014-2-15 15:34:35 | 显示全部楼层
文弱书生899 发表于 2014-2-15 14:44
局刷解决了,只要把fb0文件夹拷贝出来,然后用notepad++把pgflip-refresh改为1(原文件打开是0),然后把fb ...

我执行了yuancc的局刷脚本后,用rootExplorer把fb0文件夹copy到了media目录,查看了下pgflip-refresh的内容,已经是1了啊。 但是局刷是无效的...
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-2-15 23:46:58 | 显示全部楼层
babyforever 发表于 2014-2-15 15:34
我执行了yuancc的局刷脚本后,用rootExplorer把fb0文件夹copy到了media目录,查看了下pgflip-refresh的 ...

你既然都执行局刷脚本了,当然是1了,默认是0。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2014-2-15 23:53:29 | 显示全部楼层
文弱书生899 发表于 2014-2-15 14:44
局刷解决了,只要把fb0文件夹拷贝出来,然后用notepad++把pgflip-refresh改为1(原文件打开是0),然后把fb ...

你可以试一下修改同目录下的epd_percent,把85修改为95,看看局刷频繁程度是否有所改善。
回复 支持 反对

使用道具 举报

发表于 2014-2-16 18:58:52 | 显示全部楼层
yuanmc 发表于 2014-2-15 23:53
你可以试一下修改同目录下的epd_percent,把85修改为95,看看局刷频繁程度是否有所改善。

我发现原来是我弄错了,执行了脚本后本来就应该变成1,因为我之前脚本写错,1后面没有空格,直接跟了>号,导致没有变成1。后来重启后,局刷就直接消失了。我现在重启后,按正确脚本,直接执行就有局刷了。至于大家说的局刷没用,我觉得还是脚本写的有问题,不知yuanmc有没有在文件里规范的写下,因为文档好像不能直接复制。脚本一定要注意空格
  1. cd /sys/class/graphics/fb0/
  2. echo -n 1 > pgflip_refresh
复制代码
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 加入论坛

本版积分规则

QQ|小黑屋|手机版|宜读网论坛——专注于阅读的论坛 ( 豫ICP备13003283号-2

GMT+8, 2017-12-14 17:50 , Processed in 0.290706 second(s), 22 queries .

Powered by Discuz! X3.1

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表